<?php

namespace App\Filament\Resources\OfferPopUpResource\Pages;

use App\Filament\Resources\OfferPopUpResource;
use Filament\Resources\Pages\CreateRecord;
use Filament\Notifications\Notification;

class CreateOfferPopUp extends CreateRecord
{
    protected static string $resource = OfferPopUpResource::class;

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }

    protected function getCreatedNotification(): ?Notification
    {
        return Notification::make()
            ->success()
            ->title('Offer Pop Up created successfully')
            ->body('The offer pop up has been created successfully.');
    }
}
